// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// CommonMessage is an autogenerated mock type for the CommonMessage type
type CommonMessage struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *CommonMessage) Create(item *models.CommonMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.CommonMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *CommonMessage) Delete(item *models.CommonMessage) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.CommonMessage) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: Data
func (_m *CommonMessage) Get(Data string) (*models.CommonMessage, error) {
	ret := _m.Called(Data)

	var r0 *models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *models.CommonMessage); ok {
		r0 = rf(Data)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(Data)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByMessageId provides a mock function with given fields: messageID
func (_m *CommonMessage) GetByMessageId(messageID string) (*models.CommonMessage, error) {
	ret := _m.Called(messageID)

	var r0 *models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *models.CommonMessage); ok {
		r0 = rf(messageID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(messageID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListByMessageId provides a mock function with given fields: MessageID
func (_m *CommonMessage) ListByMessageId(MessageID uint) (*[]models.CommonMessage, error) {
	ret := _m.Called(MessageID)

	var r0 *[]models.CommonMessage
	if rf, ok := ret.Get(0).(func(uint) *[]models.CommonMessage); ok {
		r0 = rf(MessageID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(MessageID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// ListBySender provides a mock function with given fields: sender
func (_m *CommonMessage) ListBySender(sender string) (*[]models.CommonMessage, error) {
	ret := _m.Called(sender)

	var r0 *[]models.CommonMessage
	if rf, ok := ret.Get(0).(func(string) *[]models.CommonMessage); ok {
		r0 = rf(sender)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.CommonMessage)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(sender)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
